]> git.sev.monster Git - aports.git/commitdiff
new packages: cronwrap, zap
authorsev <git@sev.monster>
Thu, 5 Aug 2021 10:08:18 +0000 (05:08 -0500)
committersev <git@sev.monster>
Thu, 5 Aug 2021 10:17:34 +0000 (05:17 -0500)
testing/cronwrap/APKBUILD [new file with mode: 0644]
testing/cronwrap/cronwrap [new file with mode: 0644]
testing/zap/APKBUILD [new file with mode: 0644]

diff --git a/testing/cronwrap/APKBUILD b/testing/cronwrap/APKBUILD
new file mode 100644 (file)
index 0000000..13b4788
--- /dev/null
@@ -0,0 +1,19 @@
+# Contributor: sev <alpine@sev.monster>
+# Maintainer: sev <alpine@sev.monster>
+pkgname=cronwrap
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="Pipe a command's output to a logfile with datestamps"
+url="https://git.sev.monster/aports.git"
+arch="noarch"
+license="WTFPL"
+source="cronwrap"
+options="!check"
+
+package() {
+       install -Dm755 cronwrap "$pkgdir"/usr/bin/cronwrap
+}
+
+sha512sums="
+1d89508f7b1683a802e1c3c09794e22c17ab26fec2c3ec7023c588b56a7ed609f111aed917fcd81af11df6c2ec832ca3fe196436cbf9eb609746c07552d46769  cronwrap
+"
diff --git a/testing/cronwrap/cronwrap b/testing/cronwrap/cronwrap
new file mode 100644 (file)
index 0000000..a0e501f
--- /dev/null
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -eu
+set -o pipefail
+
+"$@" 2>&1 \
+       | awk "{print strftime(\"%b %d %H:%M:%S `hostname -s` info $1[$$] \"), \$0; fflush();}" \
+       | tee -a "/var/log/$1.cron.log"
diff --git a/testing/zap/APKBUILD b/testing/zap/APKBUILD
new file mode 100644 (file)
index 0000000..edcc736
--- /dev/null
@@ -0,0 +1,25 @@
+# Contributor: sev <alpine@sev.monster>
+# Maintainer: sev <alpine@sev.monster>
+pkgname=zap
+pkgver=0.8.3
+pkgrel=1
+pkgdesc="Maintain and replicate ZFS snapshots"
+url="https://github.com/Jehops/zap"
+arch="noarch"
+license="BSD-2-Clause"
+depends=""
+subpackages="$pkgname-doc"
+source="https://github.com/Jehops/zap/archive/$pkgver/zap-$pkgver.tar.gz"
+builddir="$srcdir/zap-$pkgver"
+options="!check"
+
+package() {
+       install -Dm755 zap "$pkgdir"/usr/bin/zap
+       gzip zap.1
+       mkdir -p "$pkgdir"-doc/usr/share/man/man1
+       mv zap.1.gz "$pkgdir"-doc/usr/share/man/man1
+}
+
+sha512sums="
+93b62cb4bdbe895110e2cb8cad794d825ef1663f6eb92ca5ec0b99528e8d32fdda63a0cccd5449136b35b8e9864469259755d86620b0ff85d80cf6b9e1d790b5  zap-0.8.3.tar.gz
+"
This page took 0.040725 seconds and 4 git commands to generate.